Page MenuHomePhabricator

The checkboxen in the save dialog wrap poorly if the texts are too long
Closed, ResolvedPublic1 Story Points

Description

VisualEditor: in the saving dialog, the "Watch this page" box can move to the next line with very large spacing between the lines. This happens in languages where it's longer than it is in English.

Here's a screenshot of the problem (in Russian):

Possible solutions include:

  • Putting these boxes on separate lines form the start.
  • Making the line spacing smaller. This is a bit problematic, because the text of the second box may appear under the second, and this may be confusing.

Details

Reference
bz68572
Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterConvert save checkboxes to OOUI widgets

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:34 AM
bzimport added projects: VisualEditor, Design, I18n.
bzimport set Reference to bz68572.
Amire80 created this task.Jul 25 2014, 2:10 PM
Jdforrester-WMF renamed this task from VisualEditor: in the saving dialog, the "Watch this page" box can move to the next line in a suboptimal way to The checkboxen in the save dialog wrap poorly if the texts are too long.Dec 3 2014, 4:52 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

Change 231300 had a related patch set uploaded (by Esanders):
Convert save checkboxes to OOUI widgets

https://gerrit.wikimedia.org/r/231300

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 4:42 PM

Change 231300 merged by jenkins-bot:
Convert save checkboxes to OOUI widgets

https://gerrit.wikimedia.org/r/231300

Jdforrester-WMF closed this task as Resolved.Aug 17 2015, 5:54 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF edited a custom field.
Ryasmeen updated the task description. (Show Details)Aug 26 2015, 8:16 PM
Ryasmeen added a project: Verified-in-Phase0.
Ryasmeen added a project: Verified-in-Phase2.